#include "locmin.h"
#include <bits/stdc++.h>
using namespace std;

typedef long long LL;

LL p[511][511];

LL getval(int i, int j) {
    if(p[i][j] > 0) return p[i][j];
    return p[i][j] = value(i, j);
}

pair<int, int> find_locmin_point(int N, int M) {
    int i = 2;
    while(i <= M - 1) {
        if(getval(1, i - 1) > getval(1, i) && getval(1, i) < getval(1, i + 1)) {
            return {1, i};
        }
        i++;
    }
}









